
-- Assault Rifle MOD

-- 2020-08-25 Version 1.01

-- Log display processing

print("********************************************************************************************");
print("*                                                                                          *");
print("*  Assault Rifle MOD items added to the game system.                                       *");
print("*  2020-08-25 Version 1.01 (Compatible with build 41)                                      *");
print("*  The mods are now integrated into the game!                                              *");
print("*                                                                                          *");
print("********************************************************************************************");


-- Add items processing

require"SuburbsDistributions"
require"ProceduralDistributions"
require"VehicleDistributions"

-- Procedural Lists

-- Police Storage

table.insert(SuburbsDistributions["policestorage"]["locker"].items, "AssaultRifle");
table.insert(SuburbsDistributions["policestorage"]["locker"].items, 5.0);
table.insert(SuburbsDistributions["policestorage"]["locker"].items, "556Box");
table.insert(SuburbsDistributions["policestorage"]["locker"].items, 40.0);
table.insert(SuburbsDistributions["policestorage"]["locker"].items, "556Clip");
table.insert(SuburbsDistributions["policestorage"]["locker"].items, 10.0);

table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, "AssaultRifle");
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, 5.0);
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, "556Box");
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, 30.0);
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, "556Clip");
table.insert(SuburbsDistributions["policestorage"]["metal_shelves"].items, 10.0);


-- Police Vehicle

table.insert(VehicleDistributions["Police"]["TruckBed"].items, "AssaultRifle");
table.insert(VehicleDistributions["Police"]["TruckBed"].items, 5.0);
table.insert(VehicleDistributions["Police"]["TruckBed"].items, "556Box");
table.insert(VehicleDistributions["Police"]["TruckBed"].items, 5.0);
table.insert(VehicleDistributions["Police"]["TruckBed"].items, "556Clip");
table.insert(VehicleDistributions["Police"]["TruckBed"].items, 3.0);


-- Gun Store

table.insert(SuburbsDistributions["gunstore"]["counter"].items, "AssaultRifle");
table.insert(SuburbsDistributions["gunstore"]["counter"].items, 20.0);
table.insert(SuburbsDistributions["gunstore"]["counter"].items, "AssaultRifle2");
table.insert(SuburbsDistributions["gunstore"]["counter"].items, 10.0);
table.insert(SuburbsDistributions["gunstore"]["counter"].items, "556Box");
table.insert(SuburbsDistributions["gunstore"]["counter"].items, 30.0);
table.insert(SuburbsDistributions["gunstore"]["counter"].items, "556Clip");
table.insert(SuburbsDistributions["gunstore"]["counter"].items, 10.0);
table.insert(SuburbsDistributions["gunstore"]["counter"].items, "M14Clip");
table.insert(SuburbsDistributions["gunstore"]["counter"].items, 10.0);
table.insert(SuburbsDistributions["gunstore"]["counter"].items, "308Box");
table.insert(SuburbsDistributions["gunstore"]["counter"].items, 20.0);

table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, "AssaultRifle");
table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, 20.0);
table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, "AssaultRifle2");
table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, 10.0);
table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, "556Box");
table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, 30.0);
table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, "556Clip");
table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, 10.0);
table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, "M14Clip");
table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, 20.0);
table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, "308Box");
table.insert(SuburbsDistributions["gunstore"]["metal_shelves"].items, 30.0);

table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, "AssaultRifle");
table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, 10.0);
table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, "AssaultRifle2");
table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, 10.0);
table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, "556Box");
table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, 30.0);
table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, "556Clip");
table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, 10.0);
table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, "M14Clip");
table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, 10.0);
table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, "308Box");
table.insert(SuburbsDistributions["gunstorestorage"]["all"].items, 20.0);


--hunting

table.insert(SuburbsDistributions["hunting"]["metal_shelves"].items, "AssaultRifle2");
table.insert(SuburbsDistributions["hunting"]["metal_shelves"].items, 10.0);
table.insert(SuburbsDistributions["hunting"]["metal_shelves"].items, "M14Clip");
table.insert(SuburbsDistributions["hunting"]["metal_shelves"].items, 20.0);
table.insert(SuburbsDistributions["hunting"]["metal_shelves"].items, "308Box");
table.insert(SuburbsDistributions["hunting"]["metal_shelves"].items, 30.0);


--safehouse

table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "AssaultRifle2");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 20.0);
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "M14Clip");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 10.0);
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, "308Box");
table.insert(ProceduralDistributions["list"]["MeleeWeapons"].items, 60.0);


--security locker

table.insert(SuburbsDistributions["security"]["locker"].items, "AssaultRifle");
table.insert(SuburbsDistributions["security"]["locker"].items, 3.0);
table.insert(SuburbsDistributions["security"]["locker"].items, "AssaultRifle2");
table.insert(SuburbsDistributions["security"]["locker"].items, 3.0);
table.insert(SuburbsDistributions["security"]["locker"].items, "556Box");
table.insert(SuburbsDistributions["security"]["locker"].items, 10.0);
table.insert(SuburbsDistributions["security"]["locker"].items, "556Clip");
table.insert(SuburbsDistributions["security"]["locker"].items, 10.0);
table.insert(SuburbsDistributions["security"]["locker"].items, "M14Clip");
table.insert(SuburbsDistributions["security"]["locker"].items, 10.0);
table.insert(SuburbsDistributions["security"]["locker"].items, "308Box");
table.insert(SuburbsDistributions["security"]["locker"].items, 10.0);


--armysurplus shelves

table.insert(SuburbsDistributions["armysurplus"]["shelves"].items, "556Clip");
table.insert(SuburbsDistributions["armysurplus"]["shelves"].items, 3.0);
table.insert(SuburbsDistributions["armysurplus"]["shelves"].items, "M14Clip");
table.insert(SuburbsDistributions["armysurplus"]["shelves"].items, 3.0);

table.insert(SuburbsDistributions["armysurplus"]["metal_shelves"].items, "556Clip");
table.insert(SuburbsDistributions["armysurplus"]["metal_shelves"].items, 3.0);
table.insert(SuburbsDistributions["armysurplus"]["metal_shelves"].items, "M14Clip");
table.insert(SuburbsDistributions["armysurplus"]["metal_shelves"].items, 3.0);


-- armyhanger

table.insert(SuburbsDistributions["armyhanger"]["metal_shelves"].items, "AssaultRifle");
table.insert(SuburbsDistributions["armyhanger"]["metal_shelves"].items, 3.0);
table.insert(SuburbsDistributions["armyhanger"]["metal_shelves"].items, "556Box");
table.insert(SuburbsDistributions["armyhanger"]["metal_shelves"].items, 10.0);
table.insert(SuburbsDistributions["armyhanger"]["metal_shelves"].items, "556Clip");
table.insert(SuburbsDistributions["armyhanger"]["metal_shelves"].items, 5.0);
table.insert(SuburbsDistributions["armyhanger"]["metal_shelves"].items, "556Bullets");
table.insert(SuburbsDistributions["armyhanger"]["metal_shelves"].items, 10.0);

table.insert(SuburbsDistributions["armyhanger"]["counter"].items, "AssaultRifle");
table.insert(SuburbsDistributions["armyhanger"]["counter"].items, 3.0);
table.insert(SuburbsDistributions["armyhanger"]["counter"].items, "556Box");
table.insert(SuburbsDistributions["armyhanger"]["counter"].items, 10.0);
table.insert(SuburbsDistributions["armyhanger"]["counter"].items, "556Clip");
table.insert(SuburbsDistributions["armyhanger"]["counter"].items, 5.0);
table.insert(SuburbsDistributions["armyhanger"]["counter"].items, "556Bullets");
table.insert(SuburbsDistributions["armyhanger"]["counter"].items, 10.0);


--  Gun Cache

table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, "AssaultRifle");
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, 5.0);
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, "AssaultRifle2");
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, 5.0);
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, "556Box");
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, 30.0);
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, "556Clip");
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, 30.0);
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, "M14Clip");
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, 30.0);
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, "308Box");
table.insert(SuburbsDistributions["GunCache1"]["GunBox"].items, 30.0);

table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, "AssaultRifle");
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, 5.0);
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, "AssaultRifle2");
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, 5.0);
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, "556Box");
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, 30.0);
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, "556Clip");
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, 30.0);
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, "M14Clip");
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, 30.0);
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, "308Box");
table.insert(SuburbsDistributions["GunCache2"]["GunBox"].items, 30.0);


--Survivor Bag

table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, "AssaultRifle");
table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, 1.0);
table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, "AssaultRifle2");
table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, 1.0);
table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, "556Box");
table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, 2.0);
table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, "556Clip");
table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, 2.0);
table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, "M14Clip");
table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, 2.0);
table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, "308Box");
table.insert(SuburbsDistributions["Bag_SurvivorBag"].items, 2.0);








